Registrar encerramento de conta transacional
curl --request POST \
--url https://plugin-pix-direct.api.lerian.net/v1/account-closures \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account": "<string>",
"accountId": "<string>",
"accountType": 123,
"branch": "<string>"
}
'import requests
url = "https://plugin-pix-direct.api.lerian.net/v1/account-closures"
payload = {
"account": "<string>",
"accountId": "<string>",
"accountType": 123,
"branch": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account: '<string>',
accountId: '<string>',
accountType: 123,
branch: '<string>'
})
};
fetch('https://plugin-pix-direct.api.lerian.net/v1/account-closures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deletedKeys": [
{
"key": "<string>",
"reason": 123,
"result": 123,
"document": "<string>",
"name": "<string>",
"resultDescription": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Registrar encerramento de conta transacional
Registra um encerramento de conta transacional, fazendo o DICT excluir em lote toda chave Pix vinculada àquela conta. Retorna os desfechos de exclusão por chave.
POST
/
v1
/
account-closures
Registrar encerramento de conta transacional
Autorizações
Autenticacao por token JWT Bearer. Obtenha o token no endpoint /v1/login/oauth/access_token
usando credenciais do cliente (clientId e clientSecret).
Inclua o token no header Authorization:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
O token expira apos 3600 segundos (1 hora).
Corpo
application/json
O número da conta sendo encerrada.
O id da conta no CRM do chamador (resolve o ISPB do lado do servidor).
O tipo de conta (0=Checking,1=Salary,2=Savings,3=Payment,4=PI).
O número da agência da conta sendo encerrada.
Resposta
OK
Os desfechos de exclusão por chave.
Show child attributes
Show child attributes
Esta página foi útil?
⌘I

